Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.exception
Class MathIllegalNumberException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.lang.IllegalArgumentException
                      org.apache.commons.math.exception.MathIllegalArgumentException
                          org.apache.commons.math.exception.MathIllegalNumberException

All Implemented Interfaces:
  Serializable, MathThrowable

Direct Known Subclasses:
  DimensionMismatchException, NonMonotonousSequenceException, NumberIsTooLargeException, NumberIsTooSmallException, OutOfRangeException, ZeroException

    public class MathIllegalNumberException

extends MathIllegalArgumentException

Base class for exceptions raised by a wrong number. This class is not intended to be instantiated directly: it should serve as a base class to create all the exceptions that are raised because some precondition is violated by a number argument.

Since:
  2.2
Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Constructor Summary
`protected` | `MathIllegalNumberException(Localizable specific, Localizable general, Number wrong, Object... arguments)` Construct an exception.
`protected` | `MathIllegalNumberException(Localizable general, Number wrong, Object... arguments)` Construct an exception.

Method Summary
`Number` | `getArgument()`

Methods inherited from class org.apache.commons.math.exception.MathIllegalArgumentException
`getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getSpecificPattern`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MathIllegalNumberException

    protected MathIllegalNumberException(Localizable specific,
                                         Localizable general,
                                         Number wrong,
                                         Object... arguments)

  Construct an exception.

  Parameters:
    `specific` - Localizable pattern.
    `general` - Localizable pattern.
    `wrong` - wrong number
    `arguments` - Arguments.

### MathIllegalNumberException

    protected MathIllegalNumberException(Localizable general,
                                         Number wrong,
                                         Object... arguments)

  Construct an exception.

  Parameters:
    `general` - Localizable pattern.
    `wrong` - wrong number
    `arguments` - Arguments.

Method Detail

### getArgument

    public Number getArgument()

  Returns:
    the requested value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2011 The Apache Software Foundation. All Rights Reserved.